/// <reference types="react" />
import * as L from 'leaflet';
import type { GridLayerOptions } from 'leaflet';
import 'leaflet.gridlayer.googlemutant';
export declare type GoogleMapTypes = 'satellite' | 'terrain' | 'hybrid' | 'roadmap';
export interface GoogleMutantProps extends GridLayerOptions {
    type: GoogleMapTypes;
    /** The mutant container will add its own attribution anyways. */
    attribution?: string;
    continuousWorld?: boolean;
}
/**
 * Uses the GoogleMutant Leaflet plugin to create a googlemaps layer
 * Requires the Google Maps JS API to be loaded as a script tag.
 *
 * All options except `opacity` and `zIndex` are immutable once the layer has loaded with the exception
 *
 * Docs for L.GridLayer.GoogleMutant https://gitlab.com/IvanSanchez/Leaflet.GridLayer.GoogleMutant
 */
declare const GoogleMutant: import("react").ForwardRefExoticComponent<GoogleMutantProps & import("react").RefAttributes<L.gridLayer.GoogleMutant>>;
export default GoogleMutant;
